Specific Pool Data by Pool Address
Pools
Specific Pool Data by Pool Address
This endpoint allows you to query the specific pool based on the provided network and pool address
GET
Specific Pool Data by Pool Address
Documentation Index
Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
Use this file to discover all available pages before exploring further.
Note
- Addresses not found in GeckoTerminal will be ignored.
- If the token’s market cap is not verified by the team, the API response will return
nullfor its market cap value, even though it has a displayed value on GeckoTerminal, which might not be accurate as it often matches the Fully Diluted Valuation (FDV). - Market Cap can be verified by and sourced from CoinGecko, and the number may be higher than FDV as it may include Market Cap of tokens issued on other blockchain networks.
- Attributes specified in the
includeparam will be returned under the top-level “included” key. locked_liquidity_percentagewill be updated on a daily basis.- Set
include_composition=trueto surface the balance and liquidity value of the pool’s base and quote tokens. - Pools on a bonding curve (e.g. non-graduated pools from launchpads) will return
launchpad_detailsobject with their graduation status and migration details. - Cache / Update Frequency:
- Every 60 seconds for Public API.
- Every 10 seconds for Pro API (Basic, Analyst, Lite, Pro, Enterprise).
Authorizations
Path Parameters
pool address
Example:
"0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640"
Query Parameters
attributes to include, comma-separated if more than one to include
Available values: base_token, quote_token, dex
include volume breakdown, default: false
include pool composition, default: false

